Gentoo Archives: gentoo-commits

From: Sergei Trofimovich <slyfox@g.o>
To: gentoo-commits@l.g.o
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-libs/libatomic_ops/
Date: Thu, 14 Mar 2019 23:06:52
Message-Id: 1552604704.b33fdfbb2d7f5e33dce853725f44b493998a6e66.slyfox@gentoo
commit:     b33fdfbb2d7f5e33dce853725f44b493998a6e66
Author:     Sergei Trofimovich <slyfox <AT> gentoo <DOT> org>
AuthorDate: Thu Mar 14 23:05:04 2019 +0000
Commit:     Sergei Trofimovich <slyfox <AT> gentoo <DOT> org>
CommitDate: Thu Mar 14 23:05:04 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b33fdfbb

dev-libs/libatomic_ops: bump up to 7.6.10, bug #679570

Reported-by: Arfrever Frehtes Taifersar Arahesis
Closes: https://bugs.gentoo.org/679570
Package-Manager: Portage-2.3.62, Repoman-2.3.12
Signed-off-by: Sergei Trofimovich <slyfox <AT> gentoo.org>

 dev-libs/libatomic_ops/Manifest                    |  1 +
 dev-libs/libatomic_ops/libatomic_ops-7.6.10.ebuild | 27 ++++++++++++++++++++++
 2 files changed, 28 insertions(+)

diff --git a/dev-libs/libatomic_ops/Manifest b/dev-libs/libatomic_ops/Manifest
index 72c369e37c0..16fd2169ceb 100644
--- a/dev-libs/libatomic_ops/Manifest
+++ b/dev-libs/libatomic_ops/Manifest
@@ -1,2 +1,3 @@
+DIST libatomic_ops-7.6.10.tar.gz 503734 BLAKE2B 5ee4adc3b2e9afe22d52a4b390927f79dfce139e9975c75aedd379fcbb34a1f0de82ca98ddc58a386e193080ba75eb1b6161bea75b62b8f3b4941979248290af SHA512 4661445503ef4303e873559af319ad799a7eddad3df45ad602cf338c594a642ad4333a36fa91722f0d8c48acd38bbf45c60a468c7375d14824520a83c1109ec9
 DIST libatomic_ops-7.6.6.tar.gz 498187 BLAKE2B 343ebda3a37aef6541efae9e646778cf8b1ea74e722979de4336d6819007f3fb37121d53c7e789f69fe6411c05ca2557a18d10db47c68e95e59c92c991bf9fa7 SHA512 ea6e4e2f8f369f5af18435a6ab8ee18c28832c367d24875cccc5e743761109036894260b4296feec5e269a74934df24a90f0fc4868937e1f36605fca082fbde8
 DIST libatomic_ops-7.6.8.tar.gz 503550 BLAKE2B ce8e8757cd20fc5d8e5b62fae0a619f3866e496f552e04c1cca6c63a6d954bf256927fe1fe62192cb24b9f7a9fd1727e108098b09d0f22e0987983ccce035274 SHA512 bc448fadcf8e2936fa933a5872d5550ecdff04b0df27120d3182dcbb2147a6594ec6bfc5b214e21b37ffa1b5100c1c56d301ba9cae7df26cee5e6b999dcda14c

diff --git a/dev-libs/libatomic_ops/libatomic_ops-7.6.10.ebuild b/dev-libs/libatomic_ops/libatomic_ops-7.6.10.ebuild
new file mode 100644
index 00000000000..3711c398d44
--- /dev/null
+++ b/dev-libs/libatomic_ops/libatomic_ops-7.6.10.ebuild
@@ -0,0 +1,27 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit multilib-minimal
+
+DESCRIPTION="Implementation for atomic memory update operations"
+HOMEPAGE="https://github.com/ivmai/libatomic_ops/"
+SRC_URI="https://github.com/ivmai/${PN}/releases/download/v${PV}/${P}.tar.gz"
+
+LICENSE="MIT boehm-gc GPL-2+"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE=""
+
+multilib_src_configure() {
+	local myeconfargs=(
+		--enable-shared
+	)
+	ECONF_SOURCE="${S}" econf "${myeconfargs[@]}"
+}
+
+multilib_src_install() {
+	default
+	find "${ED}" -name '*.la' -delete || die
+}